Commit New Node

POST
/v1/nodes/commit-new

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
local_temp_node_id*Local Temp Node Id
parent_ids?array<string>
staged_payload*

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/commit-new' \  -H 'Content-Type: application/json' \  -d '{  "local_temp_node_id": "string",  "staged_payload": {    "content": "string",    "repo_context": {      "branch_name": "string",      "external_transcript_ref": "string",      "head_commit_sha": "string",      "origin_host": "string",      "repo_url": "string",      "updated_by": "string"    },    "summary": "string",    "title": "string"  }}'
Example Response
null